Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 217801 - [voip overlay] net-misc/asterisk-1.4 requires dev-libs/ilbc-rfc3951
Summary: [voip overlay] net-misc/asterisk-1.4 requires dev-libs/ilbc-rfc3951
Status: RESOLVED OBSOLETE
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal with 1 vote (vote)
Assignee: Andrew Savchenko
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-04-15 13:41 UTC by Vieri
Modified: 2019-03-22 09:33 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
net-misc/asterisk-1.4.19.ebuild diff (asterisk-1.4.19.diff,2.19 KB, patch)
2008-04-15 13:41 UTC, Vieri
Details | Diff
files/asterisk-1.4.19-ilbc.diff (asterisk-1.4.19-ilbc.diff,631 bytes, patch)
2008-04-15 13:42 UTC, Vieri
Details | Diff
net-misc/asterisk-1.4.20.1.ebuild (asterisk-1.4.20.1.ebuild,11.94 KB, text/plain)
2008-06-04 16:21 UTC, Vieri
Details
Modification for the ebuild (asterisk-ebuild-ilbc-v1.diff,785 bytes, patch)
2010-01-22 14:23 UTC, Attila Tóth
Details | Diff
Version 1 uses this patch (asterisk-ilbc-v1.diff,1.19 KB, patch)
2010-01-22 14:24 UTC, Attila Tóth
Details | Diff
Modification for the ebuild v2 (asterisk-ebuild-ilbc-v2.diff,2.49 KB, patch)
2010-01-22 14:24 UTC, Attila Tóth
Details | Diff
Version 2 uses this patch (asterisk-ilbc-v2.diff,815 bytes, patch)
2010-01-22 14:25 UTC, Attila Tóth
Details | Diff
Ebuild diff for 1.6.2.16.2 (asterisk-ebuild-ilbc-v4.diff,779 bytes, patch)
2011-02-25 19:23 UTC, Attila Tóth
Details | Diff
Diff used by the modified ebuild 1.6.2.16.2 (asterisk-ilbc-v1.diff,1.19 KB, patch)
2011-02-25 19:24 UTC, Attila Tóth
Details | Diff
Modified ebuild (asterisk-1.6.2.16.2-r1.ebuild,6.45 KB, text/plain)
2011-02-25 19:25 UTC, Attila Tóth
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vieri 2008-04-15 13:41:07 UTC
proposing a patch for the net-misc/asterisk-1.4.19 ebuild so that users won't break their iLBC setup.

requires dev-libs/ilbc-rfc3951 because Asterisk doesn't ship with iLBC source code anymore for licensing reasons.

Reproducible: Always




(this is for the voip overlay)
Comment 1 Vieri 2008-04-15 13:41:47 UTC
Created attachment 149804 [details, diff]
net-misc/asterisk-1.4.19.ebuild diff
Comment 2 Vieri 2008-04-15 13:42:26 UTC
Created attachment 149806 [details, diff]
files/asterisk-1.4.19-ilbc.diff
Comment 3 Vieri 2008-04-24 21:38:58 UTC
CC'ing Rambaldi.
This ebuild patch is obviously useful only for users who use iLBC.
Comment 4 Vieri 2008-06-04 16:21:28 UTC
Created attachment 155513 [details]
net-misc/asterisk-1.4.20.1.ebuild
Comment 5 Juan P Daza P 2008-09-11 21:36:55 UTC
Its difficult to use the actual overlay ebuild while this option is not available as a flag.
Comment 6 Christopher Hogan 2010-01-19 15:05:34 UTC
Any idea if these patches would work against asterisk-1.6.2.0? I've had to disable iLBC in Ekiga so that I can dial to Unistim phones via Asterisk.
Comment 7 Attila Tóth 2010-01-22 14:23:12 UTC
(In reply to comment #6)
> Any idea if these patches would work against asterisk-1.6.2.0? I've had to
> disable iLBC in Ekiga so that I can dial to Unistim phones via Asterisk.
> 

Let me present two alternatives.
Comment 8 Attila Tóth 2010-01-22 14:23:47 UTC
Created attachment 217170 [details, diff]
Modification for the ebuild
Comment 9 Attila Tóth 2010-01-22 14:24:23 UTC
Created attachment 217171 [details, diff]
Version 1 uses this patch
Comment 10 Attila Tóth 2010-01-22 14:24:51 UTC
Created attachment 217173 [details, diff]
Modification for the ebuild v2
Comment 11 Attila Tóth 2010-01-22 14:25:14 UTC
Created attachment 217175 [details, diff]
Version 2 uses this patch
Comment 12 Attila Tóth 2010-01-22 14:25:58 UTC
(In reply to comment #6)
> Any idea if these patches would work against asterisk-1.6.2.0? I've had to
> disable iLBC in Ekiga so that I can dial to Unistim phones via Asterisk.
> 

Take a look at the new attachments. Version 1 works for me.
Comment 13 Kerin Millar 2010-01-30 14:59:14 UTC
Taking 1.4 related bugs, as agreed with Chainsaw.
Comment 14 nuitari 2010-03-09 05:54:31 UTC
Version 1 worked for me, asterisk-1.6.2.5
Comment 15 Kerin Millar 2011-02-25 17:30:32 UTC
There is apparently no interest in continuing to carry 1.4 in the tree. For this reason, I'm throwing in the towel on any related work. Re-assigning to the voip herd on the basis that it may still be relevant (as per comment 14).
Comment 16 Attila Tóth 2011-02-25 19:23:31 UTC
Created attachment 263809 [details, diff]
Ebuild diff for 1.6.2.16.2
Comment 17 Attila Tóth 2011-02-25 19:24:18 UTC
Created attachment 263811 [details, diff]
Diff used by the modified ebuild 1.6.2.16.2
Comment 18 Attila Tóth 2011-02-25 19:25:44 UTC
Created attachment 263821 [details]
Modified ebuild

It was told, that ilbc will be officially included upstreams, but that hasn't happened yet.
Please take a look at the solution for the current version in portage.
Comment 19 Vieri 2011-02-26 23:49:22 UTC
Just a question:

why would you use get_ilbc_source.sh to download the ilbc library source instead of using dev-libs/ilbc-rfc3951 ?


Comment 20 Attila Tóth 2011-02-27 12:46:23 UTC
(In reply to comment #19)
> Just a question:
> 
> why would you use get_ilbc_source.sh to download the ilbc library source
> instead of using dev-libs/ilbc-rfc3951 ?
> 

Because the script is there and the modified source tree expects the downloaded contents to be there.
If you don't like this solution, please take a look at on the other solution:
https://bugs.gentoo.org/attachment.cgi?id=217175&action=diff
- note, that you should still remove the <defaultenabled>no</defaultenabled> like in the other solution.

I just can't understand why ilbc cannot make it in the official portage tree for ages? The modifications are trivial. The codec is useful.

Regards:
Dw.
Comment 21 Stefan Briesenick (RETIRED) gentoo-dev 2011-04-29 01:38:32 UTC
any news to include this patch via "ilbc" use-flag?

I would like to have ilbc w/o any hassle again. ;-)
Comment 22 Pacho Ramos gentoo-dev 2013-10-27 10:18:57 UTC
voip herd and overlay are dead for a long time
Comment 23 Pacho Ramos gentoo-dev 2013-10-27 10:44:04 UTC
Looks like Andrew is still working on it
Comment 24 Jaco Kroon 2017-11-06 10:21:07 UTC
Status is confirmed but last comment indicated closed wontfix - may I update again?  1.4 is extremely old anyway and has been EOL for a very long time.
Comment 25 Nikita Zlobin 2018-01-29 17:08:51 UTC
I had success, building yate against libilbc, though its ebuild depends on ilbc-rfc3951. Probably, this one could be moved to libilbc too.

https://bugs.gentoo.org/show_bug.cgi?id=634912
Comment 26 Andrew Savchenko gentoo-dev 2019-03-22 09:33:59 UTC
Asterisk version 1.4 is very old and gone for a long time from the tree,